import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { RightDrawer } from '@app/types';
import { UserInfo } from '@ucap-webmessenger/protocol-room';
import {
  UserInfoSS,
  UserInfoF,
  UserInfoDN,
} from '@ucap-webmessenger/protocol-query';

@Component({
  selector: 'app-layout-messenger-right-drawer',
  templateUrl: './right-drawer.component.html',
  styleUrls: ['./right-drawer.component.scss'],
})
export class RightDrawerComponent implements OnInit {
  @Input()
  selectedRightDrawer: RightDrawer;

  @Output()
  openProfile = new EventEmitter<
    UserInfo | UserInfoSS | UserInfoF | UserInfoDN
  >();
  @Output()
  closeRightDrawer = new EventEmitter();

  RightDrawer = RightDrawer;

  constructor() {}

  ngOnInit() {}

  onClickOpenProfile(userInfo: UserInfo | UserInfoSS | UserInfoF | UserInfoDN) {
    this.openProfile.emit(userInfo);
  }

  onClickClose() {
    this.closeRightDrawer.emit();
  }
}
